Click or drag to resize

TransformPlaneToPlane Method

Create a rotation transformation that orients plane0 to plane1. If you want to orient objects from one plane to another, use this form of transformation.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Transform PlaneToPlane(
	Plane plane0,
	Plane plane1
)

Parameters

plane0
Type: Rhino.GeometryPlane
The plane to orient from.
plane1
Type: Rhino.GeometryPlane
the plane to orient to.

Return Value

Type: Transform
The translation transformation if successful, Transform.Unset on failure.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also